$padding: 20px;
$commentBorderColor: #cecece;

.comment {
  &__content-wrapper {
    position: relative;

    flex: none;

    background-color: #35ace4;
  }

  &__content {
    flex: 1 1 auto;
  }

  &__comment-wrapper {
    display: flex;
    flex-direction: column;
    flex: 1 1 auto;

    margin: 5px $padding 20px;
    padding: 10px;

    border: 1px solid $commentBorderColor;
    border-radius: 20px;

    background-color: white;
  }

  &__comment-area {
    flex: 1 1 auto;
    width: 100%;

    margin-top: 5px;

    font-size: 16px;

    border: none;
    outline: none;
    resize: none;
  }

  &__oval-wrapper {
    overflow: hidden;
  }

  &__oval {
    width: calc(100% + 20px);
    height: 65px;

    margin-left: -10px;

    flex: none;

    border-top-right-radius: 100%;
    border-top-left-radius: 100%;

    border-top: 2px solid #f2b437;

    background-color: white;
  }
}
